RTPPacket::RFC2833Payload Struct Reference
RTP data packets manipulation.

a structure defining RFC2833 Telephony events. More...

`#include <rtppkt.h>`

## Public Attributes

uint8 | event: 8
bool | ebit: 1
bool | rbit: 1
uint8 | vol: 6
uint16 | duration: 16

## Detailed Description

a structure defining RFC2833 Telephony events.

structure to define RFC2833 telephony events in RTP. You can use this by recasing the pointer returned by getPayload().

## Member Data Documentation

uint16 RTPPacket::RFC2833Payload::duration

bool RTPPacket::RFC2833Payload::ebit

uint8 RTPPacket::RFC2833Payload::event

bool RTPPacket::RFC2833Payload::rbit

uint8 RTPPacket::RFC2833Payload::vol

The documentation for this struct was generated from the following file:

- rtppkt.h